Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::Timer Struct Reference

`#include <Timer.h>`

## Public Member Functions

| Timer ()=default
void | restart ()
std::chrono::duration< double > | elapsed () const
| Timer ()
void | restart ()
std::chrono::duration< double > | elapsed () const

## Public Attributes

std::chrono::time_point< Clock > | start = Clock::now()

## Detailed Description

Definition at line 33 of file Timer.h.

## Constructor & Destructor Documentation

## Timer() [1/2]

Halide::Internal::Autoscheduler::Timer::Timer | ( |  | ) |

default

## Timer() [2/2]

Halide::Internal::Autoscheduler::Timer::Timer | ( |  | ) |

inline

Definition at line 52 of file Statistics.h.

References start.

## Member Function Documentation

## restart() [1/2]

void Halide::Internal::Autoscheduler::Timer::restart | ( |  | ) |

inline

Definition at line 38 of file Timer.h.

References start.

## elapsed() [1/2]

std::chrono::duration< double > Halide::Internal::Autoscheduler::Timer::elapsed | ( |  | ) | const

inline

Definition at line 42 of file Timer.h.

References start.

## restart() [2/2]

void Halide::Internal::Autoscheduler::Timer::restart | ( |  | ) |

inline

Definition at line 56 of file Statistics.h.

References start.

## elapsed() [2/2]

std::chrono::duration< double > Halide::Internal::Autoscheduler::Timer::elapsed | ( |  | ) | const

inline

Definition at line 60 of file Statistics.h.

References start.

## Member Data Documentation

## start

std::chrono::time_point< Clock > Halide::Internal::Autoscheduler::Timer::start = Clock::now()

Definition at line 34 of file Timer.h.

Referenced by elapsed(), restart(), and Timer().

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/Timer.h
- src/autoschedulers/anderson2021/Statistics.h